Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.jce.interfaces
Interface ECKey

All Known Subinterfaces:
  ECPrivateKey, ECPublicKey

All Known Implementing Classes:
  JCEECPrivateKey, JCEECPublicKey

    public interface ECKey

generic interface for an Elliptic Curve Key.

Method Summary
`ECParameterSpec` `getParameters()` return a parameter specification representing the EC domain parameters for the key.

Method Detail

### getParameters

    ECParameterSpec getParameters()

  return a parameter specification representing the EC domain parameters for the key.

Bouncy Castle Cryptography Library 1.45